.. _constants:

Constants
=========


.. constant:: pi
.. constant:: π

   The mathematical constant π. Since π is an irrational number, the value is an
   approximation with as much precision as SpeedCrunch allows. This constant may be
   referred to either as ``pi`` or as ``π`` (Unicode U+03C0 GREEK SMALL LETTER PI).


.. constant:: e
.. constant:: ℯ

   The mathematical constant *e*. The value is an approximation with as much precision
   as SpeedCrunch supports. This constant may be referred to either as ``e`` or as
   ``ℯ`` (Unicode U+212F SCRIPT SMALL E).


.. constant:: j

   When complex mode is enabled, this is the imaginary unit such that ``j ^ 2 = -1``.
   Using this constant, complex numbers are expressed as the sum of a real and an
   imaginary part::

       c = 4 + 2j

.. TODO: link to docs on complex number functionality.
